保存报告快照

提交设施在特定期间内的运营和财务指标。

参数

  • snapshots array 必填

    要保存的报告快照对象数组。每个请求最多 25 个项目。每个项目必须包含 facility_id(未使用 linking_identifier 时必填)或 linking_identifier(未使用 facility_id 时必填)。

返回值

返回一条确认同步操作的简单消息。

请求

curl -X POST https://partner-api.performancehub.co/partner/v1/report-snapshots \
  -u sk_live_YOUR_PARTNER_SECRET_KEY: \
  -H "Content-Type: application/json" \
  -d '{
    "snapshots": [
      {
        "facility_id": "550e8400-e29b-41d4-a716-446655440000",
        // "linking_identifier": "branch_downtown",  // If using linking identifier
        "start_date": "2025-01-01",
        "end_date": "2025-01-31",
        "metrics": {
          "members": {
            "active": 1200,
            "new": 45,
            "cancelled": 12
          },
          "revenue": {
            "total_payments": 289000.00,
            "currency": "AUD"
          }
        }
      }
    ]
  }'

响应

{
  "message": "Report snapshot sync successful."
}